using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Music.Model;
using Music.Presentation.Playlist;

namespace Music.Presentation
{
    public class PlaylistPresenter : IPlaylistPresenter
    {
        private IPlaylistView _view;
        private SongService _songService;
        private IPlaylist _playlist;

        public PlaylistPresenter(IPlaylistView view, SongService songService, IPlaylist playlist)
        {
            _songService = songService;
            _view = view;
            _playlist = playlist;
        }

        public void Display()
        {
            _view.PlaylistItems = _playlist.Items;
            _view.ArtistList = _songService.GetAllArtists();
            _view.AlbumList = _songService.GetAllAlbums();
        }
    }
}
